<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title><% projectName %> documentation</title>

    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-capable" content="yes">

    <script>window.Polymer = window.Polymer || {};window.Polymer.dom = 'shadow';</script>
    <script src="/extern/bower_components/webcomponentsjs/webcomponents-lite.js"></script>

    <link rel="import" href="/extern/bower_components/paper-material/paper-material.html">
    <link rel="import" href="/extern/bower_components/iron-icon/iron-icon.html">
    <link rel="import" href="/extern/bower_components/iron-icons/iron-icons.html">
    <link rel="import" href="/extern/bower_components/prism-element/prism-highlighter.html">
    <link rel="import" href="/extern/bower_components/marked-element/marked-element.html">
    <link rel="import" href="/extern/bower_components/paper-icon-button/paper-icon-button.html">
    <style>
      body {
        background-color: #FAFAFA;
      }
      paper-material {
        max-width: 800px;
        margin: auto;
        background-color: white;
        margin-bottom: 1em;
      }
      marked-element {
        padding: 10px;
        padding-top: 0;
        display: block;
      }
      div[title] {
        background-color: #81c784;
        color: black;
        font-family: roboto;
        font-weight: normal;
        margin: 0;
        padding: 10px;
        display: flex;
        flex-direction: row;
        padding: 15px 24px;
        font-size: .8em;
      }
      div[title] [name] {
        width: 250px;
      }
      h1 {
        color: black;
        font-family: roboto;
        font-weight: normal;
        margin: 0;
        padding: 15px 24px;
        font-size: 1.5em;
      }
      h2 {
        color: black;
        font-family: roboto;
        font-weight: normal;
        margin: 0;
        text-align: center;
        font-size: 1em;
        margin: 0;
        padding: 0;
        padding-left: 10px;
        padding-top: 10px;
      }
      a {
        display: flex;
        flex-direction: row;
        padding: 15px 24px;
        text-decoration: none;
        color: black;
        font-family: roboto;
        border-bottom: 1px solid #EFEFEF;
      }
      a div[options] {
        opacity: 0;
        transition: opacity 200ms;
      }
      a:hover {
        background-color: #fafafa;
      }
      a:hover div[options] {
        opacity: 1;
      }
      a div[name] {
        width: 250px;
        font-weight: bold;
      }
      a div[flex] {
        color: #757575;
      }
      [flex] {
        flex: 1;
      }
      a div {
        font-size: .8em;
      }
      iron-icon {
        height: 16px;
        z-index: 10;
        color: #797979;
      }
      iron-icon:hover {
        color: black;
      }
    </style>
  </head>
  <body>
    <h1><% projectName %> elements</h1>
    <paper-material elevation="1">
      <prism-highlighter></prism-highlighter>
      <h2>To use any of these elements in your project:</h2>
      <marked-element id="marked">
        <div class="markdown-html code" id="code"></div>
      </marked-element>
    </paper-material>

    <paper-material elevation="1">
      <h2>This project also contains</h2>
      <a href="charts/index.html">chart-elements</a>
    </paper-material>


    <template is="dom-bind" id="app">
      <paper-material elevation="1">
        <div title>
          <div name>
            name
          </div>
          <div flex>
            description
          </div>
        </div>
        <template is="dom-repeat" items="{{data}}" as="element">
          <a href="[[element.name]]/index.html">
            <div name>
              [[element.name]]
            </div>
            <div flex>
              [[element.description]]
            </div>
            <div options>
              <iron-icon icon="description"></iron-icon>
              <iron-icon icon="code" on-click="showCode" onclick="return false;"></iron-icon>
              <template is="dom-if" if="[[element.demo]]" restamp="true">
                <iron-icon icon="visibility" on-click="showDemo" onclick="return false;"></iron-icon>
              </template>
            </div>
          </a>
        </template>
      </paper-material>
    </template>

    <script>
      var codeRepositoryRoot = "<% repositoryPath %>";
      window.addEventListener('WebComponentsReady', function(e) {
        var app = document.querySelector('#app');
        app.data = <% data %>;

        var el = document.getElementById('marked');
        var snippet = el.unindent('<link rel="import" href="<% projectPath %>element-name/element-name.html">');
        // Boolean properties are displayed as checked="", so remove the ="" bit.
        snippet = snippet.replace(/=""/g, '');
        el.set('markdown', '```\n' + snippet + '\n' + '```');
      });
      app.showCode = function(e) {
        window.location = codeRepositoryRoot + e.model.element.name;
      }
      app.showDemo = function(e) {
        console.log(e);
        // window.location = e.model.element.name + "/" + e.model.element.demo;
        window.location = e.model.dataHost.dataHost.element.name + "/" + e.model.dataHost.dataHost.element.demo;
      }
    </script>
  </body>
</html>
